Skip to main content
POST
/
v1
/
api-keys
Create API key
curl --request POST \
  --url https://reelmirror.com/api/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "scopes": [
    "<string>"
  ],
  "monthly_limit_cents": 500050
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "key": "<string>",
    "scopes": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "monthly_limit_cents": 123
  }
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Body

application/json
name
string
required

Display name for the key

scopes
string[]

Permission scopes. Defaults to all except billing:read, billing:write, feedback:read, and feedback:write.

monthly_limit_cents
integer | null

Optional monthly spending limit in cents. Min 100 ($1), max 1000000 ($10,000). Null for unlimited.

Required range: 100 <= x <= 1000000

Response

201 - application/json

API key created. The full key is only returned once.

data
object